/**
* physics
*
* Blockpraktikum Informationsvisualisierung mit Processing
* Daniel Buschek, Johannes Preis
* 28. 2. 2012
*/


float x, y; //Position des Balls
float speedX, speedY; //Geschwindigkeit des Balls
float rad; //Radius des Balls


void setup() {

  size(500, 500);
  frameRate(30);
  smooth();

  //Startwerte setzen:
  rad = 25;
  x = width/2;
  y = height/2;
  speedX = random(-15, 15);
  speedY = random(-15, 15);
}


void draw() {

  //Hintergrund zeichnen:
  background(255);

  //Ball bewegen:
  x += speedX;
  y += speedY;

  //Abprallen:
  if (x <= 0 + rad) { //Links
    x = rad;
    speedX = abs(speedX);
  }
  else  if (x >= width - rad) { //Rechts
    x = width - rad;
    speedX = -abs(speedX);
  }
  if (y <= 0 + rad) {//Oben
    y = rad;
    speedY = abs(speedY);
  }
  else  if (y >= height - rad) { //Unten
    y = height - rad;
    speedY = -abs(speedY);
  }

  //Ball zeichnen:
  fill(255, 0, 0);
  stroke(0);
  ellipse(x, y, 2*rad, 2*rad);
}

